: Interface ISearchAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.search
Interface ISearchAttribute

public abstract interface ISearchAttribute

Method Summary
`javax.mail.search.SearchTerm` | `getAttributeTerm(java.lang.Object aOperatorID, java.lang.Object aValue)` Returns an attribute search term.
`java.lang.Object` | `getID()` Returns a non-localized attribute identifier
`java.lang.String` | `getName()` Returns a localized, user visible attribute string
`java.lang.Object` | `getOperator(int aIndex)` Returns the localized, user visible operator string
`int` | `getOperatorCount()` Returns the number of available operators for this attribute
`java.lang.Object` | `getValue(java.awt.Component aComponent)` Given a component, return the value represented by it.
`java.awt.Component` | `getValueComponent()` Returns the component to use for selecting a value
`java.lang.String` | `toString()` Same as getName();

Method Detail

### getName

    public java.lang.String getName()

  Returns a localized, user visible attribute string

### getID

    public java.lang.Object getID()

  Returns a non-localized attribute identifier

### getOperatorCount

    public int getOperatorCount()

  Returns the number of available operators for this attribute

### getOperator

    public java.lang.Object getOperator(int aIndex)

  Returns the localized, user visible operator string

### getValueComponent

    public java.awt.Component getValueComponent()

  Returns the component to use for selecting a value

### getValue

    public java.lang.Object getValue(java.awt.Component aComponent)

  Given a component, return the value represented by it. The component is one returned by getValueComponent from the same object.

### getAttributeTerm

    public javax.mail.search.SearchTerm getAttributeTerm(java.lang.Object aOperatorID,
                                                         java.lang.Object aValue)

  Returns an attribute search term.

### toString

    public java.lang.String toString()

  Same as getName();
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD